Name:           xmlgraphics-commons
Version:        2.9
Release:        %mkrel 3
Epoch:          0
Summary:        XML Graphics Commons

Group:          Development/Java
License:        Apache-2.0
URL:            https://xmlgraphics.apache.org/
Source0:        https://archive.apache.org/dist/xmlgraphics/commons/source/xmlgraphics-commons-%{version}-src.tar.gz

BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

BuildRequires:  maven-local
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(commons-logging:commons-logging)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.mockito:mockito-core)
BuildRequires:  mvn(xml-resolver:xml-resolver)

%description
Apache XML Graphics Commons is a library that consists of
several reusable components used by Apache Batik and
Apache FOP. Many of these components can easily be used
separately outside the domains of SVG and XSL-FO. You will
find components such as a PDF library, an RTF library,
Graphics2D implementations that let you generate PDF &
PostScript files, and much more.

%package javadoc
Summary: Javadoc for %{name}

%description javadoc
This package contains API documentation for %{name}.

%prep
%setup -q %{name}-%{version}

find -name "*.jar" -delete

# Disable plugins not needed for RPM build
%pom_remove_plugin :maven-checkstyle-plugin
%pom_remove_plugin :findbugs-maven-plugin

# Make into OSGi bundle
%pom_xpath_inject pom:project '<packaging>bundle</packaging>'
%pom_add_plugin org.apache.felix:maven-bundle-plugin . \
" <extensions>true</extensions>
  <configuration>
    <instructions>
      <Bundle-SymbolicName>org.apache.xmlgraphics</Bundle-SymbolicName>
    </instructions>
  </configuration>"

%build
%mvn_file : %{name}
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE
%doc README

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE



%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0:2.9-3.mga10
+ Revision: 2223868
- Mageia 10 Mass Rebuild

* Mon May 27 2024 ns80 <ns80> 0:2.9-2.mga10
+ Revision: 2068014
- rebuild for java 21

* Thu Sep 14 2023 daviddavid <daviddavid> 0:2.9-1.mga10
+ Revision: 1986724
- Update to upstream version 2.9

* Thu Aug 11 2022 neoclust <neoclust> 0:2.7-1.mga9
+ Revision: 1876989
- New version 2.7
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sun Feb 28 2021 neoclust <neoclust> 0:2.6-1.mga9
+ Revision: 1694290
- New version 2.6: Fixing CVE-2020-11988 (mga#28440)

* Sat Feb 15 2020 umeabot <umeabot> 0:2.3-2.mga8
+ Revision: 1527625
- Mageia 8 Mass Rebuild

* Thu Jul 18 2019 daviddavid <daviddavid> 0:2.3-1.mga8
+ Revision: 1422572
- Update to latest upstream release 2.3

* Fri Sep 21 2018 umeabot <umeabot> 0:2.2-2.mga7
+ Revision: 1292170
- Mageia 7 Mass Rebuild

* Fri Aug 24 2018 daviddavid <daviddavid> 0:2.2-1.mga7
+ Revision: 1253725
- new version: 2.2 (sync with fc29)
+ neoclust <neoclust>
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 0:2.0.1-3.mga6
+ Revision: 978227
- First rebuild of the java stack
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Nov 11 2015 daviddavid <daviddavid> 0:2.0.1-1.mga6
+ Revision: 902629
- sync with fc24 (update to 2.0.1)

* Fri Jun 26 2015 daviddavid <daviddavid> 0:2.0-1.mga6
+ Revision: 844679
- sync with fc23 (update to 2.0)

* Fri Jan 02 2015 daviddavid <daviddavid> 0:1.5-7.mga5
+ Revision: 808234
- use .mfiles generated during build

* Wed Oct 15 2014 umeabot <umeabot> 0:1.5-6.mga5
+ Revision: 744604
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0:1.5-5.mga5
+ Revision: 690702
- Mageia 5 Mass Rebuild

* Tue Dec 31 2013 dmorgan <dmorgan> 0:1.5-4.mga4
+ Revision: 563561
- Remove old maven macros

* Tue Dec 10 2013 joequant <joequant> 0:1.5-3.mga4
+ Revision: 556102
- fix maven depmaps
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Wed Jun 05 2013 shlomif <shlomif> 0:1.5-1.mga4
+ Revision: 437721
- New version. Some stuff borrowed from the Fedora .spec

* Mon Jan 14 2013 umeabot <umeabot> 0:1.4-7.mga3
+ Revision: 387183
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 dmorgan <dmorgan> 0:1.4-6.mga3
+ Revision: 341067
- Fix build with java7

* Thu Nov 10 2011 dmorgan <dmorgan> 0:1.4-5.mga2
+ Revision: 166266
- Install maven metadata
- Versionless jars & javadocs
- Fixes according to new guidelines

* Thu Apr 28 2011 dmorgan <dmorgan> 0:1.4-4.mga1
+ Revision: 93155
- Rebuild after bootstrapping
- imported package xmlgraphics-commons


* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Oct 1 2010 Alexander Kurtakov <akurtako@redhat.com> 0:1.4-1
- Updte to 1.4.

* Sat Jan 9 2010 Alexander Kurtakov <akurtako@redhat.com> 0:1.3.1-1
- Update to 1.3.1.
- Fix Source0 url.

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Apr 02 2008 Lillian Angel <langel at redhat.com> - 0:1.3-1
- Added java-1.6.0-openjdk-devel as build requirement.

* Mon Mar 31 2008 Lillian Angel <langel at redhat.com> - 0:1.3-1
- Updated sources to 1.3.

* Fri Nov 23 2007 Lillian Angel <langel at redhat.com> - 0:1.2-1
- Added epoch.

* Fri Nov 23 2007 Lillian Angel <langel at redhat.com> - 0:1.2-1
- Added missing BuildRoot line.

* Fri Nov 23 2007 Lillian Angel <langel at redhat.com> - 0:1.2-1
- Fixed install section.

* Fri Nov 23 2007 Lillian Angel <langel at redhat.com> - 0:1.2-1
- Fixed rpmlint errors.

* Tue Sep 18 2007 Joshua Sumali <jsumali at redhat.com> - 0:1.2-1jpp
- Update to 1.2

* Tue May 23 2006 Ralph Apel <r.apel at r-apel.de> - 0:1.0-1jpp
- First JPP-1.7 release
